local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
    disableMovement()
end

function onEnd()
    player.ForceCameraUpdate = false
	setPlayerState(15)
	wait(2)
    enableMovement()
end